#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityChipBoxLotteryData
{
	//ID
	int mID;
	//宝箱类型
	int mType;
	//权重
	int mWeight;
	//掉落道具
	int mDropItem;
	//掉落数量
	int mDropCount;
};

class M_ActivityChipBoxLottery
{
public:
private:
	static std::auto_ptr<M_ActivityChipBoxLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityChipBoxLotteryData* GetData(int ID);
	boost::unordered_map<int, M_ActivityChipBoxLotteryData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityChipBoxLottery* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityChipBoxLotteryData> mMapData;
};
